%define	name	cheesetracker
%define	version	0.9.9
%define release	5mdk

Summary:	Clone of the MS-DOS program Impulse Tracker
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://prdownloads.sourceforge.net/cheesetronic/%{name}-%{version}.tar.bz2
Source11:	cheese_16x16.png
Source12:	cheese_32x32.png
Source13:	cheese_48x48.png
Patch0:		cheesetracker-0.9.9-lib64-fix.patch.bz2
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	qt3-devel libsigc++1.2-devel jackit-devel scons
URL:		http://reduz.com.ar/cheesetronic/

%description 
Cheese Tracker is a program to create module music that aims to have
an interface and feature set similar to that of Impulse Tracker. It
also has some advantages such as oscilloscopes over each pattern
track, more detailed sample info, a more detailed envelope editor,
etc. So far it only works in UNIX, but all the interface/audio code is
fully modular and abstracted in individual classes, which should make
the porting of this program to other platforms extremely easy.


%prep
%setup -q
%patch0 -p1 -b .lib64

%build
unset QTDIR
scons %_smp_mflags

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
scons install prefix=$RPM_BUILD_ROOT%{_prefix}
rm -f $RPM_BUILD_ROOT%{_prefix}/bin/.sconsign
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
needs="x11"\
section="Multimedia/Sound"\
title="Cheesetracker"\
longtitle="A program for creating music modules"\
command="cheesetracker_qt"\
icon="%{name}.png"
EOF

%{__install} -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc cheesetracker/README cheesetracker/TODO cheesetracker/AUTHORS 
%doc cheesetracker/ChangeLog cheesetracker/NEWS cheesetracker/examples/*.* 
%doc cheesetracker/docs/*.*
%{_bindir}/cheesetracker_qt
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 0.9.9-5mdk
- fix QT detection on x86_64

* Thu Dec 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.9-4mdk
- from Michael Collard <quadfour@iinet.net.au>:
	o x86_64 fixes (P0)

* Wed Jun 16 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9.9-3mdk
- rebuild
- cleanups

* Tue Jun 15 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.9-2mdk
- rebuild for new g++

* Fri Apr 23 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.9-1mdk
- fix installation
- fix docs list
- add source URL
- new version

* Tue Nov  4 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- new version

* Wed Oct 29 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- remove the player binary
- fix buildrequires
- new version

* Mon Jun 23 2003 Götz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- add the cheeseplayer
- remove prefix
- new url
- qt and scons instead of gtk-- and autotools
- drop patches
- new version

* Wed Jun  4 2003 Götz Waschk <waschk@linux-mandrake.com> 0.5.5-10mdk
- patch for the new gcc 3.3 preprocessor, please test this

* Tue Apr 29 2003 Götz Waschk <waschk@linux-mandrake.com> 0.5.5-9mdk
- fix buildrequires again

* Tue Apr 29 2003 Götz Waschk <waschk@linux-mandrake.com> 0.5.5-8mdk
- fix buildrequires

* Fri Dec 27 2002 Götz Waschk <waschk@linux-mandrake.com> 0.5.5-7mdk
- rebuild

* Tue Aug 20 2002 Götz Waschk <waschk@linux-mandrake.com> 0.5.5-6mdk
- revert last change, it was unneeded

* Mon Aug 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.5-5mdk
- Buildrequires libsigc++

* Fri Aug 16 2002 Götz Waschk <waschk@linux-mandrake.com> 0.5.5-4mdk
- call automake
- gcc 3.2-0.3mdk build

* Tue Jul 30 2002 Götz Waschk <waschk@linux-mandrake.com> 0.5.5-3mdk
- gcc 3.2 build

* Fri Jun  7 2002 Götz Waschk <waschk@linux-mandrake.com> 0.5.5-2mdk
- gcc3.1 patch, please test
- don't compress png icons

* Wed May  1 2002 Götz Waschk <waschk@linux-mandrake.com> 0.5.5-1mdk
- 0.5.5

* Mon Apr 22 2002 Götz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- 0.5.1

* Thu Apr 11 2002 Götz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- add more docs
- add menu entry
- 0.5.0

* Tue Mar  5 2002 Götz Waschk <waschk@linux-mandrake.com> 0.2.7-1mdk
- 0.2.7

* Mon Mar  4 2002 Götz Waschk <waschk@linux-mandrake.com> 0.2.6-1mdk
- new release

* Sat Jan 26 2002 Götz Waschk <waschk@linux-mandrake.com> 0.2.4-2mdk
- initial package
